#include <stdlib.h>
#include <stdio.h>

int main(int argc, char** argv)
{
  if (argc != 2 & argc != 3)
  {
    printf("Usage:  %s <number> [<increment>]\n", argv[0]);
    exit(EXIT_FAILURE);
  }
  
  int i, inc = 1;
  int num = atoi(argv[1]);
  if (argc == 3)
    inc = atoi(argv[2]);
  printf("%d", (num + inc - 1) / inc);
  for (i = 0; i < num; i += inc)
    printf(" %d", i);
  printf("\n");
  
  exit(EXIT_SUCCESS);
}
