#ifndef __GC_H_
#define __GC_H_

typedef struct VLL
{
  int vertex;
  struct VLL* next;
} VertexLL;

typedef struct
{
  int num_vertices;
  int num_edges;
  VertexLL** nh;
} Graph;

void addEdge(int u, int v, Graph* G);
Graph* readGraph(char* filename);
void writeGraph(Graph* G, char* filename);
void freeGraph(Graph* G);

#endif
